Bug 19940 - Koha::Biblio - Remove GetBiblioItemInfosOf
Summary: Koha::Biblio - Remove GetBiblioItemInfosOf
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 17628 19941
  Show dependency treegraph
 
Reported: 2018-01-09 17:00 UTC by Jonathan Druart
Modified: 2018-03-26 12:12 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19940: Koha::Biblio - Remove GetBiblioItemInfosOf (2.56 KB, patch)
2018-01-09 17:19 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 19940: Koha::Biblio - Remove GetBiblioItemInfosOf (2.61 KB, patch)
2018-03-05 16:53 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 19940: Koha::Biblio - Remove GetBiblioItemInfosOf (2.70 KB, patch)
2018-03-09 07:51 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2018-01-09 17:00:18 UTC
This subroutine is only used once and can be replaced easily with a Koha::Biblioitems->search call
Comment 1 Jonathan Druart 2018-01-09 17:19:27 UTC
Created attachment 70381 [details] [review]
Bug 19940: Koha::Biblio - Remove GetBiblioItemInfosOf

This subroutine is only used once and can be replaced easily with a
Koha::Biblioitems->search call

Test plan:
Test this on top of bug 19941 and confirm that the correct item types
are displayed
Comment 2 Tomás Cohen Arazi 2018-03-05 16:53:08 UTC
Created attachment 72438 [details] [review]
Bug 19940: Koha::Biblio - Remove GetBiblioItemInfosOf

This subroutine is only used once and can be replaced easily with a
Koha::Biblioitems->search call

Test plan:
Test this on top of bug 19941 and confirm that the correct item types
are displayed

Signed-off-by: Tomas Cohen Arazi <tomascohen@gmail.com>
Comment 3 Marcel de Rooy 2018-03-09 07:42:22 UTC
QA: Looking here
Comment 4 Marcel de Rooy 2018-03-09 07:51:21 UTC
Created attachment 72555 [details] [review]
Bug 19940: Koha::Biblio - Remove GetBiblioItemInfosOf

This subroutine is only used once and can be replaced easily with a
Koha::Biblioitems->search call

Test plan:
Test this on top of bug 19941 and confirm that the correct item types
are displayed

Signed-off-by: Tomas Cohen Arazi <tomascohen@gmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 5 Jonathan Druart 2018-03-23 15:36:28 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 6 Nick Clemens 2018-03-26 12:12:25 UTC
Enhancement, not backported for 17.11